Public Class entMainLoginDetails
#Region "Private fields"
  Private intLoginID As Integer
  Private strLoginName As String
  Private strLoginFirstname As String
  Private strLoginSurname As String
  Private strLoginType As String
  Private strLoginLastLogin As String
  Private strTextDisplay As String

  Private intActive As Integer
  Private intDeleted As Integer
  Private strCreatedBy As String
  Private strCreatedDate As String
  Private intDeletedBy As String
  Private intDeletedDate As String
  Private strModifiedBy As String
  Private strModifiedDate As String
#End Region
#Region "Public properties"
  Public Property LoginID()  As integer
    Get
    Return intLoginID
    End get
    Set(ByVal value As integer)
    intLoginID = value 
    End set
  End Property
  Public Property LoginName()  As String
    Get
    Return strLoginName
    End get
    Set(ByVal value As String)
    strLoginName = value 
    End set
  End Property
  Public Property Firstname()  As String
    Get
    Return strLoginFirstname
    End get
    Set(ByVal value As String)
    strLoginFirstname = value 
    End set
  End Property
  Public Property Surname()  As String
    Get
    Return strLoginSurname
    End get
    Set(ByVal value As String)
    strLoginSurname = value 
    End set
  End Property
  Public Property LoginType()  As String
    Get
    Return strLoginType
    End get
    Set(ByVal value As String)
    strLoginType = value 
    End set
  End Property
  Public Property LastLogin()  As String
    Get
    Return strLoginLastLogin
    End get
    Set(ByVal value As String)
    strLoginLastLogin = value 
    End set
  End Property
  Public Property TextDisplay() As String
  Get
    Return strTextDisplay 
  End Get
  Set(ByVal value As String)
    strTextDisplay = value
  End Set
  End Property

  Public Property Active() As Integer
    Get
      Return intActive
    End get
    Set(ByVal value As Integer)
    intActive = value
    End set
  End Property
  Public Property Deleted() As Integer
    Get
      Return intDeleted
    End get
    Set(ByVal value As Integer)
    intDeleted = value
    End set
  End Property
  Public Property CreatedBy()  As String
  Get
    Return strCreatedBy
  End get
  Set(ByVal value As String)
    strCreatedBy = value
  End set
  End Property
  Public Property CreatedDate()  As String
  Get
    Return strCreatedDate
  End get
  Set(ByVal value As String)
    strCreatedDate = value
  End set
  End Property
  Public Property DeletedBy()  As String
  Get
    Return intDeletedBy
  End get
  Set(ByVal value As String)
    intDeletedBy = value
  End set
  End Property
  Public Property DeletedDate()  As String
  Get
    Return intDeletedDate
  End get
  Set(ByVal value As String)
    intDeletedDate = value
  End set
  End Property
  Public Property ModifiedBy()  As String
  Get
    Return strModifiedBy
  End get
  Set(ByVal value As String)
    strModifiedBy = value
  End set
  End Property
  Public Property ModifiedDate()  As String
  Get
    Return strModifiedDate
  End get
  Set(ByVal value As String)
    strModifiedDate = value
  End set
  End Property
#End Region
End Class